//Programa que diga si un punto (x,y), leido mediante teclado esta comprendido en la zona limitada por los ejes coordenados y las lineas y=x e y=4

#include <iostream>
#include <cmath>

using namespace std;

int main ()
{
  float indicador=0, x, y;
  cout<<"Introduce coordenada x del punto: "<<endl;
  cin>>x;
  cout<<"Introduce coordenada y del punto: "<<endl;
  cin>>y;
  for ( int i=0; i<5;i++)
    {
      if ( x==i)
	{
	  {
	    for (int j=0; j<5; j++)
	      {
		if ( y==j && y>=x)
		  {
		    indicador=1;
		  }
	      }
	  }
	}
    }
    if ( indicador==1)
	    {
	      cout<<"El punto esta en el espacio."<<endl;
	    }
   else
	    {
	      cout<<"El punto esta fuera del espacio."<<endl;
	    }
    return 0;
}
